Bug 1033152 - Block Storage Service info about openstack-cinder-backup
Block Storage Service info about openstack-cinder-backup
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Release_Notes (Show other bugs)
4.0
Unspecified Unspecified
high Severity high
: ---
: 4.0
Assigned To: Bruce Reeler
ecs-bugs
: Documentation
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-11-21 10:49 EST by Eric Harney
Modified: 2014-10-30 18:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 22:55:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Harney 2013-11-21 10:49:55 EST
Description of problem:
1.3.4 Block Storage Service   doesn't mention openstack-cinder-backup

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/4-Beta/html/Release_Notes/ch01s03s04.html

Version-Release number of selected component (if applicable):
4-Beta

Expected results:
Should say something about the backup service, which provides backup for Cinder volumes.
Comment 2 Scott Radvan 2013-12-10 00:36:45 EST
added:

openstack-cinder-backup
 - Provides the ability to back up a Cinder Volume to an Object Store.
Comment 3 Scott Radvan 2013-12-10 01:00:37 EST
Hi Eric,

Need your +1 on comment 2, or an alternate suggestion if it's incorrect.

Thanks,
Comment 4 Scott Radvan 2013-12-10 01:18:47 EST
updated comment 2, to:

openstack-cinder-backup
 - Provides the ability to back up a Block Storage volume to an object store.

Eric, can you +1 this instead please?
Comment 5 Eric Harney 2013-12-10 15:36:33 EST
(In reply to Scott Radvan from comment #4)
> updated comment 2, to:
> 
> openstack-cinder-backup
>  - Provides the ability to back up a Block Storage volume to an object store.
> 

This is not incorrect, but not really complete.  We will probably aim mostly at backup to Swift, but there will be more drivers in the future.  Currently, other options are Ceph and IBM TSM.

I'd say something more generic like "to an external storage repository".
Comment 6 Bruce Reeler 2013-12-17 23:23:50 EST
Corrected final wording as per comment 5.

Note You need to log in before you can comment on or make changes to this bug.